.info {
    line-height: 2;

    .info__key {
        color: $grey-700;
    }

    .info__effect {
        color: $grey-600;
    }
}

.add-labels {
    @include margin(4, 0, 0, 0);
}

.logs {
    background-color: $grey-900;
    color: $white;
    @include padding(6, 0);
    min-width: 50vw;

    /* Beautiful Scroll */
    ::-webkit-scrollbar {
        width: 0.5em;
    }
    
    ::-webkit-scrollbar-track {
        background: transparent;
    }
    
    ::-webkit-scrollbar-thumb {
        background: $grey-300; 
        border-radius: $space;
    }
    
    /* Hide scroll in Firefox */
    html {
        scrollbar-width: thin;
        scrollbar-color: transparent transparent;
    }

    .body {
        height: 70vh;
        overflow-y: scroll;
        overflow-x: hidden;
        cursor: auto;
    }

    .row {
        @include padding(1, 8);
        line-height: 1.5;
        display: flex;
        gap: $space * 2;

        .time {
            min-width: 4rem;
            color: $green-300;
        }

        .message {
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .warning {
            color: $yellow-600;
        }

        .debug {
            color: $yellow-600;
            //color: #797679;
        }

        .component,
        .stage {
            color: #427197;
        }

        .error {
            color: $red-600;
        }

        .cursor {
            font-size: $font-size-xlarge;
            font-weight: bold;
            animation: blinker .8s linear infinite;
        }
    }
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

